Update Split Settlement Rule API

🙌

Important Note

Please use only Staging Credentials on each API Reference page to test the APIs directly from our Documentation.

Overview

This API lets a platform update existing split rule against the settlement accounts and then process it for settlements.

Flow

Below is the flow for using this API

  • The platform must use the "settlement_account_urn" value which is mapped to the settlement account details. The URN can be obtained from the following APIs
  • For the "settlement_account_urn", the platform can then set the split rules either by Split Amount or Split Percentage.
  • The platform can select which settlement account can bear the commission charges that need to be covered. If the platform selects 'true', then the commission deduction will take place from that account and the remaining amount will be settled to that account. A maximum of 1 account can be marked as true for commission deduction.
  • To deactivate a split settlement rule, the split rule can be marked as false by using the "is_active" flag. If the split is deactivated and no existing split rules are enabled, then the settlement amount will be settled to the platform's settlement account by default.
Body Params
string
required
Defaults to 0000-0000-0001

A unique ID assigned by clients for every API request.

string
Defaults to 84E9A23xxxxxxxxxxxxxxx9E5FE16A

A unique identifier assigned to client's by Decentro during On boarding. (Mandatory if "virtual_account_number" is not passed)

string
Defaults to 4625257719628478

The virtual account number against which the settlement account is being added. (Mandatory if "consumer_urn" is not passed.)

string
required
Defaults to 426BF8958FC64708A50258DC4C9DF5F4

A URN generated to map the rules of the split against it.

boolean
Defaults to true

A boolean flag to activate or deactivate a split rule. (Optional)

split_settlement_rule
array of objects
split_settlement_rule
Headers
string
required

Decentro assigned client_id during on boarding.

string
required

Decentro assigned client_secret during on boarding.

string

Optional header that allows parent merchant to consume the API on behalf of sub-merchant.The child consumer URN value must be passed here.

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json